Skip to main content

Authentication

This endpoint requires authentication using a Bearer token.
Authorization: Bearer <token>

Endpoint

method
string
required
GET
endpoint
string
required
/links/info

Query Parameters

You must provide one of the following query parameters to identify the link:
The unique ID of the short link.Example: clux0rgak00011...
externalId
string
This is the ID of the link in your database.Example: 123456
domain
string
The domain of the link to retrieve. E.g. for d.to/github, the domain is d.to.Note: Must be used together with key.
key
string
The key of the link to retrieve. E.g. for d.to/github, the key is github.Note: Must be used together with domain.

Response

id
string
The unique ID of the short link.
domain
string
The domain of the short link.
key
string
The short link slug.
url
string
The destination URL of the short link.
externalId
string
The ID of the link in your database.
trackConversion
boolean
Whether to track conversions for the short link.
archived
boolean
Whether the short link is archived.
expiresAt
string
The date and time when the short link will expire in ISO-8601 format.
expiredUrl
string
The URL to redirect to when the short link has expired.
password
string
The password required to access the destination URL of the short link.
proxy
boolean
Whether the short link uses Custom Link Previews feature.
title
string
The title of the short link.
description
string
The description of the short link.
image
string
The image of the short link.
rewrite
boolean
Whether the short link uses link cloaking.
doIndex
boolean
Whether to allow search engines to index the short link.
ios
string
The iOS destination URL for the short link.
android
string
The Android destination URL for the short link.
geo
object
Geo targeting information for the short link.
tags
array
The tags assigned to the short link.
folderId
string
The unique ID of the folder assigned to the short link.
comments
string
The comments for the short link.
The full URL of the short link, including the https protocol (e.g. https://dub.sh/try).
qrCode
string
The full URL of the QR code for the short link (e.g. https://api.dub.co/qr?url=https://dub.sh/try).
utm_source
string
The UTM source of the short link.
utm_medium
string
The UTM medium of the short link.
utm_campaign
string
The UTM campaign of the short link.
utm_term
string
The UTM term of the short link.
utm_content
string
The UTM content of the short link.
userId
string
The user ID of the creator of the short link.
workspaceId
string
The workspace ID of the short link.
clicks
number
The number of clicks on the short link.
leads
number
The number of leads the short link has generated.
conversions
number
The number of leads that converted to paying customers.
sales
number
The total number of sales (includes recurring sales) generated by the short link.
saleAmount
number
The total dollar value of sales (in cents) generated by the short link.
lastClicked
string
The date and time when the short link was last clicked.
createdAt
string
The date and time when the short link was created.
updatedAt
string
The date and time when the short link was last updated.
curl -X GET "https://api.dub.co/links/info?linkId=clux0rgak00011..." \
  -H "Authorization: Bearer <token>"
{
  "id": "clux0rgak00011...",
  "domain": "dub.sh",
  "key": "try",
  "url": "https://google.com",
  "archived": false,
  "expiresAt": null,
  "expiredUrl": null,
  "password": null,
  "proxy": false,
  "title": null,
  "description": null,
  "image": null,
  "video": null,
  "rewrite": false,
  "doIndex": false,
  "ios": null,
  "android": null,
  "geo": null,
  "publicStats": false,
  "tags": [],
  "folderId": null,
  "comments": null,
  "shortLink": "https://dub.sh/try",
  "qrCode": "https://api.dub.co/qr?url=https://dub.sh/try",
  "utm_source": null,
  "utm_medium": null,
  "utm_campaign": null,
  "utm_term": null,
  "utm_content": null,
  "userId": "user_123",
  "workspaceId": "ws_123",
  "clicks": 0,
  "leads": 0,
  "conversions": 0,
  "sales": 0,
  "saleAmount": 0,
  "lastClicked": null,
  "createdAt": "2024-01-01T00:00:00.000Z",
  "updatedAt": "2024-01-01T00:00:00.000Z",
  "trackConversion": false,
  "externalId": null,
  "tenantId": null,
  "programId": null,
  "partnerId": null,
  "webhookIds": []
}

Build docs developers (and LLMs) love